## gradsc | gradsnc | gradshdf | gradsdods

GrADS is an interactive desktop tool for the analysis and display of earth science data. GrADS is used worldwide and freely available over the internet.

GrADS implements a 4-Dimensional data model, where the dimensions are usually latitude, longitude, level and time. Each data set is located within this 4-Dimensional space by the use of a data descriptor file. Both gridded and station data may be described. Gridded data may be non-linearly spaced; Gaussian grids and variable resolution ocean model grids are directly supported. The internal data format in a file may be binary, GRIB, BUFR, NetCDF, or HDF-SDS.

Operations may be performed on the data directly, and interactively, by entering expressions at the command line. The expression syntax allows complex operations that range over very large amounts of data to be performed with simple expressions. A rich set of built-in functions are provided. In addition, users may add their own functions as external routines written in any programming language.

The syntax for running GrADS is:

`GrADS_executable < options >`

`C`hoicees for `GrADS_executable` are:

`gradsc` | Reads GRIB, gridded binary, BUFR, GrADS station data Writes GRIB
`gradsnc` | Reads GRIB, gridded binary, BUFR, GrADS station data, NetCDF Writes GRIB, NetCDF
`gradshdf` | Reads GRIB, gridded binary, BUFR, GrADS station data, NetCDF, HDF-SDS Writes GRIB, HDF-SDS
`gradsdods` | Reads GRIB, gridded binary, BUFR, GrADS station data, NetCDF, OPeNDAP (fka DODS) Writes GRIB, NetCDF
Command line `options` are:
`-help` | Prints the command line options.
`-l` | Runs GrADS in landscape mode.
`-p` | Runs GrADS in portrait mode. If neither the `-l` or `-p` options are used, GrADS will prompt the user for a preferred mode.
`-b` | Runs GrADS in batch mode. No graphics output window is opened.
`-c 'command'` | Executes the supplied `command` after GrADS has started.
`-x` | Generally used with the -c option, causes GrADS to automatically quit after the supplied `command` has been executed.
`-g geometry` | Specifies the size of the graphics output window. The `geometry` argument has the syntax `W`x`H`+`X`+`Y` , where `W` is the width of window in pixels, `H` is the height of window in pixels, `X` is the starting pixel point in x, and `Y` is the starting pixel point in y. Note that `X` and `Y` may be negative.
`-m NNN` | Sets metafile buffer size to NNN, which must be an integer. Default value is 1000000.
`-E` | Disables command line editing
`-H` | Enables command line logging (command history written to file $HOME/.grads.log)

For Example:

Start GrADS in landscape mode, set the display window size and position, and open data descriptor file `model.ctl`:

`gradsc -l -g 750x580+0+25 -c 'open model.ctl'`

Start GrADS in batch mode, executing the script `meteogram_gfs.gs` in portrait mode, and quit when finished:

`gradsdods -pbxc 'meteogram_gfs.gs Boston 2003031300 -71 42 e bos'`

## Environment Variables

Some environment variables must be set before starting the GrADS.
`GADDIR` | Points to the directory containing the supplemental font and map files in the GrADS release package
`GASCRP` | Points to a list of directories containing GrADS utility scripts and user scripts.
`GAUDFT` | Points to the user defined function table. If this variable is not set, the function table will not be read.
`PATH` | The environment variable PATH must be expanded by GADDIR.

For example:

C-shell

`example% setenv GADDIR /ford1/local/lib/grads
example% setenv GASCRP $HOME/grads/scripts
example% setenv GAUDFT $HOME/grads/udf/table
example% setenv PATH $PATH":$GADDIR"`

Bourne shell

`example% GADDIR=/ford1/local/lib/grads; export GADDIR
example% GASCRP=$HOME/grads/scripts; export GASCRP
example% GAUDFT=$HOME/grads/udf/table; export GAUDFT
example% PATH=$PATH:$GADDIR; export PATH`